import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class AdminUser implements ActionListener
{
JFrame frame;
JPanel panel;
Connection conn=null;
ResultSet rs;
JTextArea textArea;

public AdminUser(Connection dbconn)
{
conn=dbconn;
}

public void CreateComponents()
{
frame=new JFrame("ADMINISTRATOR FORM");
JPanel panel1=new JPanel(new GridLayout(0,1));
JPanel panel2=new JPanel(new FlowLayout());

textArea=new JTextArea(25,4);
JScrollPane scrollPane = new JScrollPane(textArea,JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
panel1.add(textArea);
JButton change=new JButton("Change Fields");
change.setMnemonic(KeyEvent.VK_F);
change.addActionListener(this);
panel2.add(change);

JButton cancel=new JButton("Cancel");
cancel.setMnemonic(KeyEvent.VK_C);
cancel.addActionListener(this);
panel2.add(cancel);

JButton logout=new JButton("Logout");
logout.setMnemonic(KeyEvent.VK_O);
logout.addActionListener(this);
panel2.add(logout);

JFrame.setDefaultLookAndFeelDecorated(true);
frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
JPanel pane=new JPanel(new BorderLayout());
frame.setSize(new Dimension(120, 120));
pane.add(panel1, BorderLayout.NORTH);
pane.add(panel2, BorderLayout.SOUTH);
frame.getContentPane().add(pane, BorderLayout.CENTER);
frame.getContentPane().add(new JLabel("                         ADMINISTRATOR FORM "), BorderLayout.NORTH);
frame.getContentPane().add(new JLabel(" "), BorderLayout.EAST);
frame.getContentPane().add(new JLabel("please enter one field in one row "), BorderLayout.SOUTH);
frame.getContentPane().add(new JLabel("Eenter new Fields:"), BorderLayout.WEST);
frame.pack();
frame.setVisible(true);
}

public void actionPerformed(ActionEvent e)
{
if("Change Fields".equals(e.getActionCommand()))
{
System.out.println("changing fields");
changeSchema();
}
else if("Cancel".equals(e.getActionCommand()))
{
textArea.setText("");
}
else if("Logout".equals(e.getActionCommand()))
{
frame.dispose();
SwingApplication loginForm;
loginForm=new SwingApplication();
loginForm.createAndShowGUI();
}
}



public void changeSchema()
{
try{
String str = new String(textArea.getText());
String query = new String("delete from G24_T2");
PreparedStatement p=conn.prepareStatement(query);
p.executeUpdate();
System.out.println("droped existing information");

query=new String("delete from  G24_T3");
p=conn.prepareStatement(query);
p.executeUpdate();
System.out.println("cleaned existing survery information");


query=new String("update G24_T1 set flag=0");
p=conn.prepareStatement(query);
p.executeUpdate();
System.out.println("updated login table");

System.out.println("now inserting new info");
StringTokenizer st = new StringTokenizer(str,"\n");
int id=1;
while(st.hasMoreTokens())
{
String x = new String(st.nextToken());
query=new String("insert into G24_T2 values("+id+",'"+x+"')");
System.out.println("executing query"+query);
p=conn.prepareStatement(query);
p.executeUpdate();
id++;
}
System.out.println("completed changing table contents\nnow shifting to login form");
JOptionPane.showMessageDialog(frame,"Tables successfully altered");
frame.dispose(); SwingApplication loginForm;
loginForm=new SwingApplication();
loginForm.createAndShowGUI();


}catch(Exception e){ System.out.println("exception "+e); }
}
}
