import java.sql.*;
import java.io.*;
import java.util.*;

public class DbConnect
{
	public Connection conn =  null;
	public  Properties dbProps = null;
	private String confFile = "db.conf";

	private void loadProperties() throws IOException, Exception
	{
		try{
		FileInputStream fis = new FileInputStream("/users/pg04/sreekanth/swings/db.conf");
		dbProps = new Properties();
		dbProps.load(fis);
		}
		   catch(IOException e) {
	            System.out.println("File Exception:"+e);
					}

	}

	public Connection getConnection() throws Exception
	{
		loadProperties();
		int dbPort = Integer.parseInt(dbProps.getProperty("dbport"));
		String dbHost = dbProps.getProperty("dbhost");
		String dbUser = dbProps.getProperty("dbuser");
		String dbPassword = dbProps.getProperty("dbpassword");
		String dbName = dbProps.getProperty("dbname");
		String dbType = dbProps.getProperty("dbtype");
		String driver=dbProps.getProperty("dbdriver");
		System.out.println("the data is:"+dbPassword);
		try{
		Class.forName("com.mysql.jdbc.Driver");
		String jdbcString = "jdbc:mysql://"+dbType+"://"+dbHost+"/"+dbName+"?user="+dbUser+"&password="+dbPassword;
		    }
	catch(ClassNotFoundException e) {
        	    System.out.println("Driver Can't be loaded");
        				}
		return conn;
	}
}
