import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;
import java.io.*;
import java.sql.*;
import java.util.*;


public class prac extends JComponent {
 
 int r;
 int[] id;
 int cnt;
 static int[][] a;
 int barColor=0;
 Connection conn;
 ResultSet rs;

 int tot[][];

 int[] ub;
 
 String[] sub;
  
 final static int maxCharHeight = 15;
 final static int minFontSize = 6;
 
 final static Color red = Color.red;
 final static Color blue = Color.blue;
 final static Color yellow = Color.yellow;
 final static Color green = Color.green;

 final static Color bg = Color.white;
 final static Color fg = Color.black;
 final static BasicStroke stroke = new BasicStroke(2.0f);
 final static BasicStroke wideStroke = new BasicStroke(8.0f);

 

 FontMetrics Metrics;

 Properties props;
 String colorOrder;
 int nocolors;
 String[] myColors=new String[11];


///// c o n s t r u c t o r

public  prac(int[] a,int c,int sec,Connection dbconn) 
{
	try{FileInputStream fis=new FileInputStream("barConfig.cfg");
        props=new Properties();
        props.load(fis);
        colorOrder=props.getProperty("colorOrder");
        }catch(IOException e){}
	StringTokenizer token=new StringTokenizer(colorOrder," ");
	nocolors=0;
        while(token.hasMoreTokens())
	{
	 myColors[nocolors]=new String(token.nextToken());
	 System.out.println("the color is"+myColors[nocolors]);
	 nocolors++;
        } 


 System.out.println("the colors are"+colorOrder);
 setBackground(bg);
 setForeground(fg);
 conn=dbconn;	
 r=sec;
 cnt=c;
 id=a;

 sub=new String[c];
 loadData();
 cal();
 repaint();

 }


 
public void loadData()				
{
 a=new int[cnt][11];
 tot=new int[cnt][11];
 ub=new int[r+2];
 int c=0;
 while(c<cnt)
 {
  int i=0;
   while(i<=10)
   {
    String q=new String("select count(*) from G24_T3 where id="+id[c]+" and marks ="+i);
//    System.out.println("query is :"+q);
     try{
                PreparedStatement p=conn.prepareStatement(q);
                rs=null;
                rs=p.executeQuery();
		rs.next();
		a[c][i]=Integer.parseInt(rs.getString(1));
  //  		System.out.println("The no is  :"+a[c][i]);
	}catch(Exception exp){ System.out.println("exception is "+exp); }
   i++;
}
c++;
}
/************loading sub values***************/
int i=1;
try{
String q=new String("select sub from G24_T2 where id in("+id[0]);
while(i<cnt)
{
q+=","+id[i];
i++;
}
q+=")";
PreparedStatement p=conn.prepareStatement(q);
rs=null;
rs=p.executeQuery();
i=0;
while(rs.next())
{
sub[i]=new String(rs.getString(1));
System.out.println("Completed loading sub:"+sub[i]);
i++;
} 
}catch(Exception exp){ System.out.println("exception is "+exp); }
}
/*** function to load bounds */

public void loadBounds()
{
System.out.println("now loading bounds for "+r+" no of regions");
int slice=r;
int i=11/slice;
System.out.println("intitial slicing will be"+i);
int count=0;
ub[0]=-1;
while(count<slice)
{
	int c=count+1;
        System.out.println("now wrote initial slice values into :"+c);
        ub[count+1]=i;
        count++;
}
int left=(11-i*slice);
count=0;
while(left!=0)
{
System.out.println("changed upper bounds of :"+count);
ub[count+1]++;
count++;
left--;
}
count=2;
ub[1]--;
while(count<=slice)
{
ub[count]+=ub[count-1];
System.out.println("range now is"+ub[count]);
count++;
}
//ub[count]=10;
System.out.println("----now displaying range---------------");
count=0;
while(count<=r) 
{
System.out.println("the range is "+ub[count]);
count++;
}
}

public void cal()
{
 loadBounds();
 calTotals();
 
}


public void calTotals()
{
 int i,j;
 int k=1;
 for(i=0;i<r;i++)
 {
 for(j=0;j<cnt;j++)
 {
  int u;
  for(u=ub[k-1]+1;u<=ub[k];u++)
  {
     System.out.println("now adding ("+j+" "+u+")="+a[j][u]);
     tot[j][i]+=a[j][u];
     System.out.println("the value is :"+tot[j][i]+" and it is wiritn at["+j+","+i+"]");
  }
 }
  k++;
}
System.out.println("the range is "+r+" and count is "+cnt);
for(i=0;i<r-1;i++)
for(j=0;j<cnt;j++)
{
System.out.println("---------the value is :"+tot[j][i]+" and it is wiritn at["+j+","+i+"]");
}

System.out.println("finished printing");
}

/**************end of calTotals***************/



 public void paint (Graphics g) {
 System.out.println("into paint");

 Graphics2D g2 = (Graphics2D) g;

 g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);

 g2.setPaint(fg);
 
 g2.setFont(new Font("Arial", Font.BOLD, 10));
 Metrics = g2.getFontMetrics();

 int x=80;
 int y=600;
 int rectWidth = 12;

 g2.setStroke(stroke);
 g2.draw(new Line2D.Double(x-10, y, x-10, y-580));
 g2.draw(new Line2D.Double(x-10, y, x+930,y));

 int c=0;
 int d = 0;
 String z; 
 for(int i=1;i<15;i++)
   {
     c= y-(40*i);
     d=i*10;
     z="" + d;
     g2.drawString(z,x-40,c); 
     g2.draw(new Line2D.Double(x-15,c,x-5,c));
  }

/************ creating labels************/
g2.drawString("RANGE",x-50,y+50);
int xl=700,yl=75;
barColor=0;
for(int i=0;i<cnt;i++)
{
 g2.setPaint(getColor());
 g2.fill(new Rectangle2D.Double(xl,yl,10,10));
 g2.setPaint(fg);
 g2.draw(new Rectangle2D.Double(xl,yl,10,10));
 g2.drawString(sub[i],xl+20,yl+10);
 yl+=20;
}
   
// check it hear
System.out.println("The no of regions are:"+r+" and no of sub are "+cnt);


for(int i=0;i<r;i++)
{
barColor=0;
// if(i==0)
// {
     int t=ub[i]+1;
     String z1=""+t;
     t=ub[i+1];
     String z2=""+t;
     g2.drawString(z1+"-"+z2,x,y+50);
// }

//else 
// {
  // String z1=""+ub[i]+1;
  // String z2=""+ub[i+1];
//  g2.drawString(z1+"-"+z2,x,y+50);
// }
for(int j=0;j<cnt;j++)
{
   
   g2.setPaint(getColor());
   g2.fill(new Rectangle2D.Double(x,y-(4*tot[j][i]),rectWidth,4*tot[j][i]));
   g2.setPaint(fg);
   g2.draw(new Rectangle2D.Double(x,y-(4*tot[j][i]),rectWidth,4*tot[j][i]));
   x+=rectWidth+1;
}
  x+=rectWidth+10;
}

}

public Color getColor()
{
Color c=Color.red;
String co=myColors[barColor];
System.out.println("now the color no is:"+barColor);
if("red".equals(co)) c= Color.red; 
else if("blue".equals(co)) c= Color.blue; 
else if("green".equals(co)) c= Color.green; 
else if("yellow".equals(co)) c= Color.yellow; 
else if("white".equals(co)) c= Color.white; 
barColor++;
if(barColor>nocolors){ barColor=0; }
return c;
}
}


/*  switch (r) {

         case 1 : g2.setPaint(red);
                  g2.fill(new Rectangle2D.Double(x,y-(4*total1),rectWidth,4*total1));
                  g2.setPaint(fg);
                  g2.draw(new Rectangle2D.Double(x,y-(4*total1),rectWidth,4*total1));
                  g2.drawString("0-10",x,y+50);
                  x+=rectWidth+1;
                  g2.setPaint(blue);
                  g2.fill(new Rectangle2D.Double(x,y-(4*total2),rectWidth,4*total2));
                  g2.setPaint(fg);
                  g2.draw(new Rectangle2D.Double(x,y-(4*total2),rectWidth,4*total2));
                  x+=rectWidth+1;
                  g2.setPaint(yellow);
                  g2.fill(new Rectangle2D.Double(x,y-(4*total3),rectWidth,4*total3));
                  g2.setPaint(fg);
                  g2.draw(new Rectangle2D.Double(x,y-(4*total3),rectWidth,4*total3));
                  x+=rectWidth+1;
                  g2.setPaint(green);
                  g2.fill(new Rectangle2D.Double(x,y-(4*total4),rectWidth,4*total4));
                  g2.setPaint(fg);
                  g2.draw(new Rectangle2D.Double(x,y-(4*total4),rectWidth,4*total4));
                 
                  break;


		   
                 
		  for(int i=0,f=0;i<4;i++,f+=3)
                    { 
                    int q=f+2;
                    s= "" + f;
                    w= "" + q;
                    if(f<9)
                    {
                    g2.drawString(s+"-"+w,x,y+50);
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
                  g2.drawString("9-10",x-(4*rectWidth)-18,y+50);
		  break;

         case 5 : for(int i=0;i<3;i++)
                   {
                    tot1[0]=tot1[0]+a1[i];
                    tot2[0]=tot2[0]+a2[i];
		    tot3[0]=tot3[0]+a3[i];
		    tot4[0]=tot4[0]+a4[i];
                    }
		                                                                                                                                
                  for(int i=3;i<5;i++)
                   {
                    tot1[1]=tot1[1]+a1[i];
                    tot2[1]=tot2[1]+a2[i];
		    tot3[1]=tot3[1]+a3[i];
		    tot4[1]=tot4[1]+a4[i];
                   }
                                                                                                                                                
                  for(int i=5;i<7;i++)
                   {
                    tot1[2]=tot2[2]+a1[i];
                    tot2[2]=tot2[2]+a2[i];
		    tot3[2]=tot3[2]+a3[i];
		    tot4[2]=tot4[2]+a4[i];
                   } 
                   		
                  for(int i=7;i<9;i++)
                   { 
                    tot1[3]=tot1[3]+a1[i];
                    tot2[3]=tot2[3]+a2[i];
		    tot3[3]=tot3[3]+a3[i];
		    tot4[3]=tot4[3]+a4[i];
                   }
                             
                  for(int i=9;i<11;i++)
                   {
                    tot1[4]=tot1[4]+a1[i];
                    tot2[4]=tot2[4]+a2[i];
		    tot3[4]=tot3[4]+a3[i];
		    tot4[4]=tot4[4]+a4[i];
                   }
                   
		  for(int i=0,f=0,e=0;i<5;i++,f+=3,e+=2)
                    { 
                    int q=f+2;
                    s= "" + f;
                    w= "" + q;
                    if(f<3)
                     {
                      g2.drawString(s+"-"+w,x,y+50);                    
                      e=f+1; 
                     }
                    else {
                          
                          q=e+1;
                          s= "" + e;
                          w= "" + q;
                          g2.drawString(s+"-"+w,x,y+50);
                         }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
                  break;

       
         case 6 : for(int i=0;i<2;i++)
                   {
                    tot1[0]=tot1[0]+a1[i];
                    tot2[0]=tot2[0]+a2[i];
		    tot3[0]=tot3[0]+a3[i];
		    tot4[0]=tot4[0]+a4[i];
                    }
		   
                                                                                                                             
                  for(int i=2;i<4;i++)
                   {
                    tot1[1]=tot1[1]+a1[i];
                    tot2[1]=tot2[1]+a2[i];
		    tot3[1]=tot3[1]+a3[i];
		    tot4[1]=tot4[1]+a4[i];
                   }
		   
                                                                                                                             
                  for(int i=4;i<6;i++)
                   {
                    tot1[2]=tot1[2]+a1[i];
                    tot2[2]=tot2[2]+a2[i];
		    tot3[2]=tot3[2]+a3[i];
		    tot4[2]=tot4[2]+a4[i];
                   }
                    

                  for(int i=6;i<8;i++)
                   {
                    tot1[3]=tot1[3]+a1[i];
                    tot2[3]=tot2[3]+a2[i];
		    tot3[3]=tot3[3]+a3[i];
		    tot4[3]=tot4[3]+a4[i];
                   }
                             
         
                  for(int i=8;i<10;i++)
                   {            
                    tot1[4]=tot1[4]+a1[i];
 		    tot2[4]=tot2[4]+a2[i];
		    tot3[4]=tot3[4]+a3[i];
		    tot4[4]=tot4[4]+a4[i];
                   }
		   
                 
                  for(int i=10;i<11;i++)
                   {
                    tot1[5]=tot1[5]+a1[i];
          	    tot2[5]=tot2[5]+a2[i];
		    tot3[5]=tot3[5]+a3[i];
		    tot4[5]=tot4[5]+a4[i];
                   }
	         
 		  for(int i=0,f=0;i<6;i++,f+=2)
                    { 
                    int q=f+1;
                    s= "" + f;
                    w= "" + q;
                    if(f<10) 
                    {
                    g2.drawString(s+"-"+w,x,y+50); 
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
		  g2.drawString("10",x-(4*rectWidth)-18,y+50);
                  break;
       

         case 7 : for(int i=0;i<2;i++)
                   { 
                    tot1[0]=tot1[0]+a1[i];
                    tot2[0]=tot2[0]+a2[i];
		    tot3[0]=tot3[0]+a3[i];
		    tot4[0]=tot4[0]+a4[i];
		   }
                                                                                                                             
                  for(int i=2;i<4;i++)
                   {
                    tot1[1]=tot1[1]+a1[i];
         	    tot2[1]=tot2[1]+a2[i];
		    tot3[1]=tot3[1]+a3[i];
		    tot4[1]=tot4[1]+a4[i];
                   }
		   
                                                                                                                             
                  for(int i=4;i<6;i++)
                   {
                    tot1[2]=tot1[2]+a1[i];                                                                                
                    tot2[2]=tot2[2]+a2[i];
		    tot3[2]=tot3[2]+a3[i];
		    tot4[2]=tot4[2]+a4[i];
                   } 
                   

                  for(int i=6;i<8;i++)
                   {
                    tot1[3]=tot1[3]+a1[i];
                    tot2[3]=tot2[3]+a2[i];
		    tot3[3]=tot3[3]+a3[i];
		    tot4[3]=tot4[3]+a4[i];
                   }
                   

                  for(int k=8,i=8;i<11;i++,k+=2)
                    {
                     tot1[i-4]=tot1[i-4]+a1[i];
                     tot2[i-4]=tot2[i-4]+a2[i];
		     tot3[i-4]=tot3[i-4]+a3[i];
                     tot4[i-4]=tot4[i-4]+a4[i];
                    }
                  
                  for(int i=0,f=0,e=0;i<7;i++,f+=2,e++)
                    { 
                    int q=f+1;
                    s= "" + f;
                    w= "" + q;
                    if(f<8)
                    {
		    g2.drawString(s+"-"+w,x,y+50);    
                    e=f+1;
                    }
                    else 
                    {
                    s= "" + e; 
		    g2.drawString(s,x,y+50);
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
                  break;
 
        case 8 : for(int i=0;i<2;i++)
                  { 
                   tot1[0]=tot1[0]+a1[i];
                   tot2[0]=tot2[0]+a2[i];
		   tot3[0]=tot3[0]+a3[i];
		   tot4[0]=tot4[0]+a4[i];
                  }
                                                                                                                                                
                  for(int i=2;i<4;i++)
                   {
                    tot1[1]=tot1[1]+a1[i];
                    tot2[1]=tot2[1]+a2[i];
		    tot3[1]=tot3[1]+a3[i];
		    tot4[1]=tot4[1]+a4[i];
                   }
                                                                                                                                                
                  for(int i=4;i<6;i++)
                   {
                    tot1[2]=tot1[2]+a1[i];
                    tot2[2]=tot2[2]+a2[i];
		    tot3[2]=tot3[2]+a3[i];
		    tot4[2]=tot4[2]+a4[i];
                   }
                 
             
                  for(int k=6,i=6;i<11;i++,k+=2)
                    {
                     tot1[i-3]=tot1[i-3]+a1[i];
                     tot2[i-3]=tot2[i-3]+a2[i];
		     tot3[i-3]=tot3[i-3]+a3[i];
		     tot4[i-3]=tot4[i-3]+a4[i];
                    }
                  
                  for(int i=0,f=0,e=0;i<8;i++,f+=2,e++)
                    { 
                    int q=f+1;
                    s= "" + f;
                    w= "" + q;
                    if(f<6)
		    {
                    g2.drawString(s+"-"+w,x,y+50); 
                    e=f+1;
                    }
                    else 
                    {
                    s= "" + e;
                    g2.drawString(s,x,y+50);
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    } 
		  break;        
      

         case 9 : for(int i=0;i<2;i++)
                  {
                   tot1[0]=tot1[0]+a1[i];
                   tot2[0]=tot2[0]+a2[i];
		   tot3[0]=tot3[0]+a3[i];
		   tot4[0]=tot4[0]+a4[i];
                  }
	
                 for(int i=0;i<2;i++)
                  {
                   tot1[1]=tot1[1]+a1[i];
                   tot2[1]=tot2[1]+a2[i];
		   tot3[1]=tot3[1]+a3[i];
		   tot4[1]=tot4[1]+a4[i];
                  }	   
                 	                                                                                           
                  for(int i=4;i<11;i++)
                    {
                     tot1[i-2]=tot1[i-2]+a1[i];
                     tot2[i-2]=tot2[i-2]+a2[i];
		     tot3[i-2]=tot3[i-2]+a3[i];
		     tot4[i-2]=tot4[i-2]+a4[i];
                    }

                  for(int i=0,f=0,e=0;i<9;i++,f+=2,e++)
                    { 
                    int q=f+1;
                    s= "" + f;
                    w= "" + q;
                    if(f<4)
		    {
                    g2.drawString(s+"-"+w,x,y+50);  
                    e=f+1;
 		    }
           	    else 
 		    {
                     s= "" + e;
                     g2.drawString(s,x,y+50);
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
		  
                  break;




       
      case 10 : for(int i=0;i<2;i++)
                  {
                   tot1[0]=tot1[0]+a1[i];
                   tot2[0]=tot2[0]+a2[i];
		   tot3[0]=tot3[0]+a3[i];
		   tot4[0]=tot4[0]+a4[i];
                  }
		   
                 	                                                                                           
                  for(int i=2;i<11;i++)
                    {
                     tot1[i-1]=tot1[i-1]+a1[i];
                     tot2[i-1]=tot2[i-1]+a2[i];
		     tot3[i-1]=tot3[i-1]+a3[i];
		     tot4[i-1]=tot4[i-1]+a4[i];
                    }

                  for(int i=0,f=0,e=0;i<10;i++,f+=2,e++)
                    { 
                    int q=f+1;
                    s= "" + f;
                    w= "" + q;
                    if(f<2)
		    {
                    g2.drawString(s+"-"+w,x,y+50);  
                    e=f+1;
 		    }
           	    else 
 		    {
                     s= "" + e;
                     g2.drawString(s,x,y+50);
                    }
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot1[i]),rectWidth,4*tot1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot2[i]),rectWidth,4*tot2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot3[i]),rectWidth,4*tot3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*tot4[i]),rectWidth,4*tot4[i]));
                    x+=rectWidth+18;

                    }
		  
                  break;





      case 11 :  
                for(int i=0,f=0;i<11;i++,f+=1)
                    { 
                    s= "" + f;
                    g2.drawString(s,x,y+50);              
                    g2.setPaint(red);
                    g2.fill(new Rectangle2D.Double(x,y-(4*a1[i]),rectWidth,4*a1[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*a1[i]),rectWidth,4*a1[i]));
                    x+=rectWidth+1;
                    g2.setPaint(blue);
		    g2.fill(new Rectangle2D.Double(x,y-(4*a2[i]),rectWidth,4*a2[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*a2[i]),rectWidth,4*a2[i]));
                    x+=rectWidth+1;
                    g2.setPaint(yellow);
		    g2.fill(new Rectangle2D.Double(x,y-(4*a3[i]),rectWidth,4*a3[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*a3[i]),rectWidth,4*a3[i]));
                    x+=rectWidth+1;
                    g2.setPaint(green);
		    g2.fill(new Rectangle2D.Double(x,y-(4*a4[i]),rectWidth,4*a4[i]));
                    g2.setPaint(fg);
                    g2.draw(new Rectangle2D.Double(x,y-(4*a4[i]),rectWidth,4*a4[i]));
                    x+=rectWidth+18;

                   }
		 

 
       }//end of Switch case 


*/




 
