import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class AnalysisForm implements ActionListener { 
		
	      	Connection conn=null;
	      	ResultSet rs=null;
		String user;
		int noOfFields;
		
		JFrame frame;
		JPanel panel;

              	JLabel[] fieldLabel;
		
		JLabel fieldTitle,fromTitle,toTitle;
		
		JCheckBox[] fieldCheckBox;

		JComboBox[] fromComboBox,toComboBox;
		
		JButton analysisButton,logoutButton,gAnalysisButton;


// constructor
public AnalysisForm(String analysisUser,Connection dbConn)
	{
	user=new String(analysisUser);
	conn=dbConn;
	}


//create components
private Component createComponents() { 

	String[] range = { "0", "1", "2","3", "4", "5","6", "7","8","9","10" };
	String query="select count(*) from G24_T2";
	System.out.println("the query executed is :"+query);
	try{
                PreparedStatement p=conn.prepareStatement(query);
                rs=null;
                rs=p.executeQuery();
                rs.next();
		noOfFields=Integer.parseInt(rs.getString(1));
                System.out.println("the query is executed...."+noOfFields);

		fromComboBox=new JComboBox[noOfFields];
		toComboBox=new JComboBox[noOfFields];
		fieldCheckBox=new JCheckBox[noOfFields];

		panel=new JPanel(new GridLayout(0,3));

		fieldTitle=new JLabel("Topic");
		panel.add(fieldTitle);

		fromTitle=new JLabel("From");
		panel.add(fromTitle);

		toTitle=new JLabel("To");
		panel.add(toTitle);
		
		
		query="select * from G24_T2 order by id";
		p=conn.prepareStatement(query);
                rs=null;
                rs=p.executeQuery();
		int counter=0;
		while(rs.next())
		{
	
		fieldCheckBox[counter]=new JCheckBox(rs.getString(2));
		panel.add(fieldCheckBox[counter]);

		fromComboBox[counter]=new JComboBox(range);
		panel.add(fromComboBox[counter]);

		toComboBox[counter]=new JComboBox(range);
		panel.add(toComboBox[counter]);

		counter++;
		}

	
	panel.add(new JLabel(" "));
	panel.add(new JLabel(" "));
	panel.add(new JLabel(" "));

        panel.setBorder(BorderFactory.createEmptyBorder(30,30,10,30));

	analysisButton=new JButton("Analysis");
	analysisButton.setMnemonic(KeyEvent.VK_A);
	panel.add(analysisButton);
	analysisButton.addActionListener(this);

        gAnalysisButton=new JButton("Graphical Analysis");
        gAnalysisButton.setMnemonic(KeyEvent.VK_G);
        panel.add(gAnalysisButton);
        gAnalysisButton.addActionListener(this);

        logoutButton=new JButton("Logout");
        logoutButton.setMnemonic(KeyEvent.VK_L);
        panel.add(logoutButton);
        logoutButton.addActionListener(this);
	
	fieldCheckBox[0].setSelected(true);

	}catch(Exception e){ System.out.println("excepiton is"+e); }
	
	return panel;
        }



public void actionPerformed(ActionEvent e) 
{    
if("Analysis".equals(e.getActionCommand()))
{
//
}
else if("Submit".equals(e.getActionCommand()))
{
//
}
else //logout
{
//
}
}

public void createAndShowGUI() {

          JFrame.setDefaultLookAndFeelDecorated(true);

          frame = new JFrame("Analysis of user");
          frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
          
          frame.setSize(new Dimension(120, 120));
		
          this.createComponents();
	
	  frame.getContentPane().add(panel, BorderLayout.CENTER);

          frame.pack();
          frame.setVisible(true);

  				}

}



