import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class AnalysisUser implements ActionListener { 
		
	      	Connection conn=null;
	      	ResultSet rs=null;
		String user;
		
		JFrame frame;
		JPanel panel,subPanel1,subPanelC1,subPanelW1;

              	JLabel titleLabel;
		JComboBox fromComboBox,toComboBox;
		JButton submitButton,gAnalysisButton,logoutButton;
		ButtonGroup group;
		JRadioButton item;


// constructor
public AnalysisUser(String analysisUser,Connection dbConn)
	{
	user=analysisUser;
	conn=dbConn;
	}


//create components
public void createComponents() { 
	String query;
	
	String[] range = { "0", "1", "2","3", "4", "5","6", "7","8","9","10" };
	panel=new JPanel(new BorderLayout(10,40));
	subPanel1=new JPanel(new FlowLayout());
	subPanelC1=new JPanel(new GridLayout(2,1));
	subPanelW1=new JPanel(new GridLayout(2,1));
        panel.setBorder(BorderFactory.createEmptyBorder(30,30,10,30));
	submitButton=new JButton("Submit");
	submitButton.setMnemonic(KeyEvent.VK_S);
	gAnalysisButton=new JButton("Graphical Analysis");
	gAnalysisButton.setMnemonic(KeyEvent.VK_G);
	logoutButton=new JButton("Logout");
	logoutButton.setMnemonic(KeyEvent.VK_O);

        logoutButton.addActionListener(this);
	submitButton.addActionListener(this);
	gAnalysisButton.addActionListener(this);

	logoutButton=new JButton("Logout");
	fromComboBox=new JComboBox(range);
	toComboBox=new JComboBox(range);
	group=new ButtonGroup();
	JPanel radioPanel = new JPanel(new GridLayout(0, 1));

	titleLabel= new JLabel("ANALYSIS FOR USER "+user);
	query=new String("select * from G24_T2");
	try{
        PreparedStatement stmt=conn.prepareStatement(query);
        rs=stmt.executeQuery();
        while(rs.next()){
		item=new JRadioButton(rs.getString(1));
		group.add(item);
		radioPanel.add(item);
		System.out.println("the data is "+rs.getString(1));
			}
	}catch(Exception e){ System.out.println("excepiton is"+e); }
	
	JPanel subPanelS1=new JPanel(new GridLayout(2,1));

	subPanelC1.add(new JLabel("TO"));
	subPanelC1.add(fromComboBox);

	subPanelW1.add(new JLabel("FROM"));
	subPanelW1.add(toComboBox);
	
	subPanelS1.add(new JLabel("sub"));
	subPanelS1.add(radioPanel);
	
	panel.add(titleLabel,BorderLayout.NORTH);	
	panel.add(subPanelC1,BorderLayout.CENTER);		
	panel.add(subPanelW1,BorderLayout.EAST);		
	panel.add(subPanelS1,BorderLayout.WEST);		
	
	subPanel1.add(submitButton);
	subPanel1.add(gAnalysisButton);
	subPanel1.add(logoutButton);		
	
        }



public void actionPerformed(ActionEvent e) {    }

public void createAndShowGUI() {

          JFrame.setDefaultLookAndFeelDecorated(true);

          frame = new JFrame("Analysis of user");
          frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
          
          frame.setSize(new Dimension(120, 40));
		
          this.createComponents();
	
	  frame.getContentPane().add(panel, BorderLayout.NORTH);
	  frame.getContentPane().add(subPanel1, BorderLayout.CENTER);

          frame.pack();
          frame.setVisible(true);

  				}

}
