import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class DataEntryForm implements ActionListener { 
		
	      	Connection conn=null;
	      	ResultSet rs=null;
		String user;
		int noOfFields;
		
		JFrame frame;
		JPanel panel;

              	JLabel[] fieldLabel;
		
		JLabel fieldTitle,gradeTitle;

		JComboBox[] gradeComboBox;
	
		JButton submitButton,logoutButton;
		
		Properties props;
		String title,color,colorb,wsize;

		


// constructor
public DataEntryForm(String analysisUser,Connection dbConn)
	{
	user=new String(analysisUser);
	conn=dbConn;
	try{FileInputStream fis=new FileInputStream("dataFile.cfg");
        props=new Properties();
        props.load(fis);
        wsize=props.getProperty("wndSize");
        String bsize=props.getProperty("btnSize");
        title=props.getProperty("title");
        color=props.getProperty("bkgndColor");
        colorb=props.getProperty("buttonColor");
        //System.out.println(ssize);
        }catch(IOException e){}

	}


//create components
private Component createComponents() { 
	String[] range = { "0", "1", "2","3", "4", "5","6", "7","8","9","10" };
	String query="select count(*) from G24_T2";
	System.out.println("the query executed is :"+query);
	try{
                PreparedStatement p=conn.prepareStatement(query);
                rs=null;
                rs=p.executeQuery();
                rs.next();
		noOfFields=Integer.parseInt(rs.getString(1));
                System.out.println("the query is executed...."+noOfFields);

		gradeComboBox=new JComboBox[noOfFields];
		fieldLabel=new JLabel[noOfFields];

		panel=new JPanel(new GridLayout(0,2));

		fieldTitle=new JLabel("Topic");
		panel.add(fieldTitle);

		gradeTitle=new JLabel("Grade");
		panel.add(gradeTitle);
		
		query="select * from G24_T2 order by id";
		p=conn.prepareStatement(query);
                rs=null;
                rs=p.executeQuery();
		int counter=0;
		while(rs.next())
		{

		fieldLabel[counter]=new JLabel(rs.getString(2));
		panel.add(fieldLabel[counter]);
		gradeComboBox[counter]=new JComboBox(range);
       		gradeComboBox[counter].addActionListener(this);
		panel.add(gradeComboBox[counter]);
		counter++;
		}

	
	panel.add(new JLabel(" "));
	panel.add(new JLabel(" "));

        panel.setBorder(BorderFactory.createEmptyBorder(30,30,10,30));
	submitButton=new JButton("Submit");
	submitButton.setMnemonic(KeyEvent.VK_S);
	panel.add(submitButton);

	logoutButton=new JButton("Logout");
	logoutButton.setMnemonic(KeyEvent.VK_O);
	panel.add(logoutButton);

	submitButton.addActionListener(this);
	logoutButton.addActionListener(this);


	}catch(Exception e){ System.out.println("excepiton is"+e); }
	
	return panel;
        }



public void actionPerformed(ActionEvent e) 
{    
if("Submit".equals(e.getActionCommand()))
{
try{
PreparedStatement p;
int i=0;
String query="Update G24_T1 set flag=1 where login_name='"+user+"'";
p=conn.prepareStatement(query);
p.executeUpdate();

while(i<noOfFields)
{
int id=i+1;
query="insert into G24_T3 values('"+user+"',"+id+","+gradeComboBox[i].getSelectedItem()+")";
                System.out.println("the query executed is :"+query);
		p=conn.prepareStatement(query);
                p.executeUpdate();
i++;
}
AnalysisForm analysis=new AnalysisForm(user,conn);
frame.setVisible(false);
analysis.createAndShowGUI();

}catch(Exception ex){ System.out.println("exception :"+ex);}
}
else if("Logout".equals(e.getActionCommand()))
//log out
{
frame.dispose();
SwingApplication loginForm;
loginForm=new SwingApplication();
loginForm.createAndShowGUI();
}
}

public void createAndShowGUI() {

          JFrame.setDefaultLookAndFeelDecorated(true);

          frame = new JFrame("Analysis of user");
	  frame.setTitle(title);
          StringTokenizer token=new StringTokenizer(wsize," ");
          int x=Integer.parseInt(token.nextToken());
          int y=Integer.parseInt(token.nextToken());
          frame.setSize(x,y);
 
          frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
          
		
          this.createComponents();
	
	  frame.getContentPane().add(panel, BorderLayout.CENTER);

          frame.pack();
          frame.setVisible(true);

  				}

}



